Installer - Bug #28672

qpid's wait-for-port ExecStartPost checks 127.0.0.1 which breaks on IPv6

01/07/2020 04:12 PM - Ewoud Kohl van Wijngaarden
Triaged: Yes Found in Releases: 1.24.0
Bugzilla link: Red Hat JIRA:
Description

QPid binds to whatever connectivity is available on an external interface, ignoring lo. This means it's configured to bind to localhost it
only binds to ::1 when eth0 is the only interface and IPv6 only. The wait-for-port override connects to 127.0.0.1:$ssl_port and fails.

Since netcat can connect to DNS, the solution is to connect to localhost instead of an IP.

A Bugzilla that describes a similar problem https:/bugzilla.redhat.com/show_bug.cqi?id=1055660

Related issues:
Related to Foreman - Tracker #28683: IPv6 only support

New

Associated revisions

Revision 2d92c9a5 - 01/07/2020 04:47 PM - Ewoud Kohl van Wijngaarden

Fixes #28672 - Check if gpid is up using localhost

Given a machine that has 127.0.0.1 / ::1 on lo and eth0 has 2001:db::1,
in other works, no IPv4 connectivity, then gpid gpid binds only on IPv6,
even when a host needs to listen on localhost. Since netcat can connect
to either, it is a safe check.

History

#1 - 01/07/2020 04:12 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-qpid/pull/128 added

#2 - 01/07/2020 04:47 PM - The Foreman Bot
- Fixed in Releases 2.0.0 added

#3 - 01/07/2020 05:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-gpid|2d92c¢9a51739bc3c947c71260843e88c118ea7fe.

#4 - 01/08/2020 12:23 PM - Ewoud Kohl van Wijngaarden
- Related to Tracker #28683: IPv6 only support added
